Subject: Re: git --recurse-submodule does not recurse to sub-submodules (etc.)

From: Jens Lehmann <[email-masked]>
Date: Tue, 20 Jan 2015 22:21:11 +0100

Am 19.01.2015 um 21:19 schrieb Maximilian Held:
> I have a directory with nested submodules, such as:
>
> supermodule/submodule/sub-submodule/sub-sub-submodule
>
> When I cd to supermodule and do:
>
> "git push --recurse-submodule=check" (or on-demand),
>
> git only pushes the submodule, but not the sub-submodule etc.
>
> Maybe this is expected behavior and not a bug, but I thought it was
> pretty unintuitive. I expected that git would push, well, recursively.

I agree this is unexpected and should be fixed. I suspect the fix
would be to teach the push_submodule() function to use the same
flags that were used for the push in the superproject.